Loading...
Searching...
No Matches
XrdXrootdPrepArgs Class Reference

`#include <XrdXrootdPrepare.hh>`

Collaboration diagram for XrdXrootdPrepArgs:

## Public Member Functions

| XrdXrootdPrepArgs (int sfree=1, int pfree=1)
| ~XrdXrootdPrepArgs ()

## Public Attributes

char | mode [4]
char * | notify
XrdOucTList * | paths
int | prty
char * | reqid
char * | user

## Friends

class | XrdXrootdPrepare

## Detailed Description

Definition at line 45 of file XrdXrootdPrepare.hh.

## Constructor & Destructor Documentation

## XrdXrootdPrepArgs()

XrdXrootdPrepArgs::XrdXrootdPrepArgs | ( | int | sfree = 1,
|  | int | pfree = 1 )

inline

Definition at line 57 of file XrdXrootdPrepare.hh.

{reqid = user = notify = 0; paths = 0; *mode = '\0';
dirP = 0; prty = reqlen = usrlen = 0;
freestore = sfree; freepaths = pfree;
}
XrdXrootdPrepArgs::reqid
char * reqid
Definition XrdXrootdPrepare.hh:50
XrdXrootdPrepArgs::notify
char * notify
Definition XrdXrootdPrepare.hh:52
XrdXrootdPrepArgs::mode
char mode[4]
Definition XrdXrootdPrepare.hh:54
XrdXrootdPrepArgs::prty
int prty
Definition XrdXrootdPrepare.hh:53
XrdXrootdPrepArgs::user
char * user
Definition XrdXrootdPrepare.hh:51
XrdXrootdPrepArgs::paths
XrdOucTList * paths
Definition XrdXrootdPrepare.hh:55

References mode, notify, paths, prty, reqid, and user.

## ~XrdXrootdPrepArgs()

XrdXrootdPrepArgs::~XrdXrootdPrepArgs | ( |  | ) |

inline

Definition at line 62 of file XrdXrootdPrepare.hh.

{XrdOucTList *tp;
if (freestore)
{if (reqid) free(reqid);
if (notify) free(notify);
}
if (freepaths) while((tp=paths)) {paths=paths->next; delete tp;}
if (dirP) closedir(dirP);
}
closedir
#define closedir(a)
Definition XrdPosix.hh:50

References closedir, notify, paths, and reqid.

## Friends And Related Symbol Documentation

## XrdXrootdPrepare

friend class XrdXrootdPrepare

friend

Definition at line 48 of file XrdXrootdPrepare.hh.

References XrdXrootdPrepare.

Referenced by XrdXrootdPrepare.

## Member Data Documentation

## mode

char XrdXrootdPrepArgs::mode[4]

Definition at line 54 of file XrdXrootdPrepare.hh.

Referenced by XrdXrootdPrepArgs().

## notify

char* XrdXrootdPrepArgs::notify

Definition at line 52 of file XrdXrootdPrepare.hh.

Referenced by XrdXrootdPrepArgs(), and ~XrdXrootdPrepArgs().

## paths

XrdOucTList* XrdXrootdPrepArgs::paths

Definition at line 55 of file XrdXrootdPrepare.hh.

Referenced by XrdXrootdPrepArgs(), ~XrdXrootdPrepArgs(), and XrdXrootdPrepare::Log().

## prty

int XrdXrootdPrepArgs::prty

Definition at line 53 of file XrdXrootdPrepare.hh.

Referenced by XrdXrootdPrepArgs(), and XrdXrootdPrepare::Log().

## reqid

char* XrdXrootdPrepArgs::reqid

Definition at line 50 of file XrdXrootdPrepare.hh.

Referenced by XrdXrootdPrepArgs(), ~XrdXrootdPrepArgs(), XrdXrootdPrepare::List(), and XrdXrootdPrepare::Log().

## user

char* XrdXrootdPrepArgs::user

Definition at line 51 of file XrdXrootdPrepare.hh.

Referenced by XrdXrootdPrepArgs(), XrdXrootdPrepare::List(), and XrdXrootdPrepare::Log().

The documentation for this class was generated from the following file:

- XrdXrootdPrepare.hh